parport_announce_port
Prev | Chapter 22. Parallel Port Devices | Next

## Name

parport_announce_port — tell device drivers about a parallel port

## Synopsis

`void parport_announce_port (` | struct parport * | port`)`;

## Arguments

`port`

  parallel port to announce

## Description

After a port driver has registered a parallel port with parport_register_port, and performed any necessary initialisation or adjustments, it should call `parport_announce_port` in order to notify all device drivers that have called `parport_register_driver`. Their `attach` functions will be called, with `port` as the parameter.

Prev | Up | Next
parport_register_port | Home | parport_remove_port